Cómo habilitar etiquetas cortas PHP

Escrito por rebecca o'brien | Traducido por luis alberto fuentes schwab
Cómo habilitar etiquetas cortas PHP

Tendrás que editar el archivo php.ini para activar las etiquetas cortas.

Jupiterimages/Photos.com/Getty Images

Las "eltiquetas PHP cortas" o "etiquetas cortas abiertas" son utilizadas como atajo delimitador para el código PHP. En lugar de escribir la etiqueta completa "

Nivel de dificultad:
Difícil

Otras personas están leyendo

Instrucciones

    Alojamiento general online

  1. 1

    Busca el archivo php.ini. Si no estás seguro de dónde se encuentra, ponte en contacto con tu proveedor de alojamiento para que te proporcione la ruta exacta. Si el host utiliza cPanel, puedes habilitar el acceso directamente desde allí o presentar una solicitud al soporte para conseguir habilitar las etiquetas cortas.

  2. 2

    Busca el archivo php.ini y localiza la línea "short_open_tags=off". Cambia "off" a "on" y guarda el archivo.

  3. 3

    Reinicia Apache. Por lo general, no tendrás que hacer esto, pero a veces el servidor tendrá que ser reiniciado para que aplique los cambios. A menos que se esté ejecutando un servidor dedicado, ponte en contacto con tu proveedor de hosting para obtener asistencia.

    WampServer Local

  1. 1

    Inicia WampServer.

  2. 2

    Busca el icono de Wamp en la bandeja del sistema y haz clic izquierdo una vez. El icono tiene forma de semicírculo o arco iris.

  3. 3

    Abre el menú "PHP" y ubica la opción "Configuración de PHP".

  4. 4

    Haz clic en la opción "etiqueta abierta corta". Este debería ser el primer elemento de la lista.

Consejos y advertencias

  • Lo ideal es enviar una solicitud de soporte a tu servidor Web para habilitar etiquetas cortas PHP.
  • Las "mejores prácticas" para las etiquetas cortas PHP indican que lo mejor es eliminarlas de tu aplicación. Por ello, debes establecer etiquetas cortas todo el tiempo que sea necesario para resolver el conflicto.
  • El uso de etiquetas cortas de PHP no se recomienda si el host ejecuta PHP5, ya que puede causar problemas de compatibilidad si alguna vez necesitas cambiar de proveedor de hosting.

No dejes de leer...

Filtrar por:
  • Mostrar todos
  • Artículos
  • Galerías de fotos
  • Videos
Ordenar:
  • Más relevante
  • Más popular
  • Más reciente

No se encuentran artículos disponibles

No se encuentran slideshows disponibles

No se encuentran videos disponibles

Copyright © 1999-2014 Demand Media, Inc. Acerca de

El uso de este sitio constituye la aceptación de los términos y política de privacidad de eHow. Ad Choices es-US

Demand Media